package org.brapi.test.BrAPITestServer.model.dto.geno;

import io.swagger.model.geno.OntologyTerm;

public class ReferenceSetWriteRequest {
    private String referenceSetDbId;
    private String referenceSetName;
    private String assemblyPUI;
    private String description;
    private Boolean isDerived;
    private String md5checksum;
    private String sourceURI;
    private OntologyTerm species;
    private String sourceGermplasmDbId;

    public String getReferenceSetDbId() {
        return referenceSetDbId;
    }

    public void setReferenceSetDbId(String referenceSetDbId) {
        this.referenceSetDbId = referenceSetDbId;
    }

    public String getReferenceSetName() {
        return referenceSetName;
    }

    public void setReferenceSetName(String referenceSetName) {
        this.referenceSetName = referenceSetName;
    }

    public String getAssemblyPUI() {
        return assemblyPUI;
    }

    public void setAssemblyPUI(String assemblyPUI) {
        this.assemblyPUI = assemblyPUI;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getIsDerived() {
        return isDerived;
    }

    public void setIsDerived(Boolean isDerived) {
        this.isDerived = isDerived;
    }

    public String getMd5checksum() {
        return md5checksum;
    }

    public void setMd5checksum(String md5checksum) {
        this.md5checksum = md5checksum;
    }

    public String getSourceURI() {
        return sourceURI;
    }

    public void setSourceURI(String sourceURI) {
        this.sourceURI = sourceURI;
    }

    public OntologyTerm getSpecies() {
        return species;
    }

    public void setSpecies(OntologyTerm species) {
        this.species = species;
    }

    public String getSourceGermplasmDbId() {
        return sourceGermplasmDbId;
    }

    public void setSourceGermplasmDbId(String sourceGermplasmDbId) {
        this.sourceGermplasmDbId = sourceGermplasmDbId;
    }
}
